Data Integration

Traditionally, data integration has been referred to as ETL (or ELT), which covers the following operations:

Extract:Exporting data from specified data sources.
Transform:Modifying the source data (as needed), using rules, merges, lookup tables or other conversion methods, to match the target.
Load:Importing the resulting transformed data into a target database.

More recently, data integration has expanded to include a wider array of operations, including data migration/management and data warehouse automation.

Snowflake is known to inter-operate with the following data integration tools:

Solution Connection Type Version / Installation Requirements Additional Information
Ab Initio ODBC
  • Ab Initio: No requirements — contact Ab Initio for more details
  • Snowflake: ODBC Driver (download from the Snowflake web interface)
 
Ajilius Python
  • Ajilius: No requirements
  • Snowflake: No requirements
Alooma JDBC
  • Alooma: No requirements
  • Snowflake: No requirements
Attunity Replicate ODBC
  • Attunity Replicate: No requirements
  • Snowflake: ODBC Driver (download from the Snowflake web interface)
DataVirtuality JDBC
  • DataVirtuality: No requirements
  • Snowflake: No requirements
Denodo JDBC
  • Denodo: Denodo Platform 6.0 (or higher)
  • Snowflake: No requirements
Diyotta JDBC
  • Diyotta: No requirements
  • Snowflake: No requirements
Fivetran JDBC
  • Fivetran: No requirements
  • Snowflake: No requirements
Flyway JDBC  
Informatica JDBC , ODBC
  • Informatica Cloud (service):
    • Cloud Connector for Snowflake — available directly in the Informatica Cloud interface
    • Secure Agent — download and install from the Informatica Cloud interface
  • Informatica PowerCenter:
    • PowerCenter 10.2 (or higher)
    • PowerExchange for Snowflake
  • Snowflake:
    • For push-down optimization: ODBC Driver (download from the Snowflake web interface)
    • For all other functionality: No requirements
 
Keboola JDBC
  • Keboola: No requirements
  • Snowflake: No requirements
Rivery JDBC
  • Rivery: No requirements
  • Snowflake: No requirements
Matillion JDBC
  • Matillion: No requirements
  • Snowflake: No requirements
Segment Go
  • Segment: No requirements
  • Snowflake: No requirements
SnapLogic JDBC
Snowplow JDBC
Stitch JDBC
  • Stitch: No requirements
  • Snowflake: No requirements
Talend JDBC
  • Talend 6.4 (or higher):
    • Talend: No requirements
    • Snowflake: No requirements
  • Talend 6.3 (or lower):
    • Talend: Snowflake component — contact Talend for more information
    • Snowflake: No requirements
 
TMMData JDBC
  • TMMData: No requirements
  • Snowflake: No requirements
 
Wherescape JDBC
  • Wherescape: No requirements
  • Snowflake: No requirements